## part 1: new lib
vlib work
vmap work work

## part 2: load design
vlog -novopt -incr -work work "../../tb/prim_sim.v"
vlog -novopt -incr -work work "../../tb/tb_mod.v"
vlog -novopt -incr -work work "../../project/src/fir_onboard.v"
vlog -novopt -incr -work work "../../project/src/deUstb.v"
vlog -novopt -incr -work work "../../project/src/basic_fir_filter/basic_fir_filter.vo"
vlog -novopt -incr -work work "../../project/src/gw_pll.v"


## part 3: sim design
vsim -novopt work.tb

## part 4: add signals
add wave /tb/uut_fir_onboard/clk
add wave /tb/uut_fir_onboard/din_coeffi
add wave /tb/uut_fir_onboard/cnt_wr_coeffi_en
add wave /tb/uut_fir_onboard/input_rdy
add wave /tb/uut_fir_onboard/din_data
add wave /tb/uut_fir_onboard/wr_en_data
add wave /tb/uut_fir_onboard/done
add wave /tb/uut_fir_onboard/dout
add wave /tb/uut_fir_onboard/out_gather
add wave /tb/uut_fir_onboard/output_odata_addr
add wave /tb/uut_fir_onboard/output_odata_en

## part 5: show ui 
view wave
view structure
view signals

## part 6: run 
run 35ms

